Show / Hide Table of Contents

# AsyncPointerEnterTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncPointerEnterTrigger : AsyncTriggerBase<PointerEventData>, IUniTaskAsyncEnumerable<PointerEventData>, IPointerEnterHandler

##### Inheritance

System.Object → AsyncTriggerBase<PointerEventData> → AsyncPointerEnterTrigger

##### Implements

IUniTaskAsyncEnumerable<PointerEventData>
IPointerEnterHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnPointerEnterAsyncHandler() |
GetOnPointerEnterAsyncHandler(CancellationToken) |
OnPointerEnterAsync() |
OnPointerEnterAsync(CancellationToken) |

### Methods

#### GetOnPointerEnterAsyncHandler()

    public IAsyncOnPointerEnterHandler GetOnPointerEnterAsyncHandler()

##### Returns

IAsyncOnPointerEnterHandler

#### GetOnPointerEnterAsyncHandler(CancellationToken)

    public IAsyncOnPointerEnterHandler GetOnPointerEnterAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnPointerEnterHandler

#### OnPointerEnterAsync()

    public UniTask<PointerEventData> OnPointerEnterAsync()

##### Returns

UniTask<PointerEventData>

#### OnPointerEnterAsync(CancellationToken)

    public UniTask<PointerEventData> OnPointerEnterAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<PointerEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IPointerEnterHandler